package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	
	public class Fight extends Entity 
	{
		var desc:Text;
		var counter:int = 60;
		
		public function Fight() 
		{
			layer = -1000;
			
			addGraphic(desc = new Text("FIGHT!", 400, 300, { color: 0xFF0000, size:64, font:"title" }));
			desc.centerOrigin();
			
			desc.scale = 3;
		}
		
		override public function update():void 
		{
			super.update();
			
			desc.scale = FP.approach(desc.scale, 1, 0.05);
			desc.x = 396 + FP.rand(8);
			desc.y = 296 + FP.rand(8);
			
			counter--;
			if (counter == 10)
			{
				Main.SndFight.play(2);
			}
			else if (counter == 0)
			{
				world.remove(this);
				(world as Level).start = true;
			}
		}
		
	}

}