package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;

	public class Trophy extends Entity
	{
		[Embed(source = "../assets/trophy.png")]
		static private const ImgTrophy:Class;
		
		private var image:Image;
		private var counter:Number = 0;
		
		public function Trophy(color:uint) 
		{
			super(400, 340);

			image = new Image(ImgTrophy);
			image.centerOrigin();
			image.color = color;
			image.scale = 3;
			graphic = image;
		}
		
		override public function update():void 
		{
			super.update();
			
			counter = (counter + Math.PI / 64) % (Math.PI * 2);
			image.angle = Math.sin(counter) * 10;
		}
		
	}

}