package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Input;
	
	public class Win extends Entity 
	{
		private var desc:Text;
		private var desc2:Text;
		private var color:uint;
		private var counter:int = 50;
		
		public function Win(win:int) 
		{
			layer = -1000;
			
			if (win == 0)
			{
				Main.wins1++;
				Main.wins1Str = String(Main.wins1);
				color = 0xFFFF00;
				addGraphic(desc = new Text("P1 VICTORY", 400, 200, { color: 0xFFFF00, size:64, font:"title" } ));
			}
			else
			{
				Main.wins2++;
				Main.wins2Str = String(Main.wins2);
				color = 0x00FFFF;
				addGraphic(desc = new Text("P2 VICTORY", 400, 200, { color: 0x00FFFF, size:64, font:"title" } ));
			}
			desc.centerOrigin();
			
			addGraphic(desc2 = new Text("press ENTER", 400, 500, { color: 0xFFFFFF, size:32, font:"title" }));
			desc2.centerOrigin();
		}
		
		override public function added():void 
		{
			super.added();
			
			world.add(new Trophy(color));
		}
		
		override public function update():void 
		{
			super.update();
			
			(world as Level).bg.setColor(color);
			
			desc.x = 396 + FP.random * 8;
			desc.y = 196 + FP.random * 8;
			
			desc2.x = 396 + FP.random * 8;
			desc2.y = 496 + FP.random * 8;
			
			if (counter > 0)
			{
				counter--;
				if (counter == 0)
					Main.SndDingDing.play();
			}
			
			if (Input.pressed("start"))
			{
				Main.SndSelect.play();
				FP.world = new Level;
			}
		}
		
		
	}

}