package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	public class BG extends Entity 
	{
		[Embed(source = "../assets/BG.png")]
		static private const ImgBG:Class;
		
		static private const TIMEPERBEAT:Number = (1.0 / (149.0 / 60.0)) * 4.0;
		
		private var image:Image;
		private var nextBeat:Number = 0;
		
		public function BG() 
		{
			image = new Image(ImgBG);
			image.color = 0xFF0000;
			image.alpha = 0.2;
			graphic = image;
		}
		
		override public function update():void 
		{
			super.update();
			
			image.alpha = FP.lerp(image.alpha, 0.2, 0.01);
			image.color = FP.colorLerp(image.color, 0xFF0000, 0.01);
		}
		
		public function onLoop():void
		{
			nextBeat = 0;
		}
		
		public function setColor(color:uint):void
		{
			image.alpha = 0.5;
			image.color = color;
		}
		
	}

}