package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.utils.Draw;
	
	public class Explosion extends Entity 
	{		
		private var radius:Number;
		private var alpha:Number = 1;
		private var color:uint;		
		private var fade:Number;
		
		public function Explosion(x:int, y:int, color:uint) 
		{
			super(x, y);
			this.color = color;
			
			radius = 12 + FP.random * 16;
			fade = .01 + FP.random * .02;
		}
		
		override public function update():void 
		{
			super.update();
			
			radius += 0.08;
			
			alpha -= fade;
			if (alpha <= 0)
				world.remove(this);
		}
		
		override public function render():void 
		{
			Draw.circlePlus(x, y, radius, color, alpha);
		}
		
	}

}