package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	

	public class SpaceThing extends Entity 
	{
		public var radius:Number;
		public var level:Level;
		
		public function SpaceThing(x:Number, y:Number, radius:Number) 
		{
			super(x, y);
			this.radius = radius;			
		}
		
		public function collideThing(spaceThing:SpaceThing, x:Number, y:Number):Boolean
		{
			return FP.distance(x, y, spaceThing.x, spaceThing.y) < radius + spaceThing.radius;
		}
		
		public function collideOutInto(vec:Vector.<SpaceThing>, into:Vector.<SpaceThing>):void
		{
			into.length = 0;
			for each (var s:SpaceThing in vec)
			{
				if (collideThing(s, x, y))
					into.push(s);
			}
		}
		
		override public function added():void 
		{
			super.added();
			level = world as Level;
		}
	}

}